#290 s3://myrna-emr/ bucket private?

v0.9.0
closed
nobody
None
5
2014-02-12
2013-08-20
Adam Kraut
No

Trying to run the myrna examples on EMR via the web interface I am running into a 403 error.

Exception in thread "main" Status Code: 403, AWS Request ID: 83CD5A7BA4FFAD4D, AWS Error Code: null, AWS Error Message: Forbidden

I noticed the s3://myrna-emr bucket is not public readable. Is that intentional? Apologies if this belongs in a mailing list rather than a ticket.

Related

Bugs: #290

Discussion

  • Val
    Val
    2013-08-20

    Hi Adam,

    I reseted the bucket permissions. Can you please try again and let me know if it works?

    thanks,
    Val

     
  • Adam Kraut
    Adam Kraut
    2013-08-20

    Hi Val,

    Same error as before. Also, s3cmd says the bucket is private.

    s3cmd ls s3://myrna-emr/1.2.1/
    ERROR: Access to bucket 'myrna-emr' was denied

    On Tue, Aug 20, 2013 at 12:53 PM, Val valduboisvert@users.sf.net wrote:

    Hi Adam,

    I reseted the bucket permissions. Can you please try again and let me know
    if it works?

    thanks,
    Val


    Status: open
    Created: Tue Aug 20, 2013 03:36 PM UTC by Adam Kraut
    Last Updated: Tue Aug 20, 2013 03:36 PM UTC
    Owner: nobody

    Trying to run the myrna examples on EMR via the web interface I am running
    into a 403 error.

    Exception in thread "main" Status Code: 403, AWS Request ID:
    83CD5A7BA4FFAD4D, AWS Error Code: null, AWS Error Message: Forbidden

    I noticed the s3://myrna-emr bucket is not public readable. Is that
    intentional? Apologies if this belongs in a mailing list rather than a
    ticket.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/bowtie-bio/bugs/290/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #290

  • Val
    Val
    2013-08-21

    Hi Adam,

    You have now the listing permissions set up. Can you please try again?

    thanks,
    Val

     
  • Adam Kraut
    Adam Kraut
    2013-08-23

    Hi Val,

    It still doesn't work for me. Same error although I can list the myrna-emr bucket using s3cmd now. Maybe it's failing for a different reason? I will look into it more. Thanks for your help!

    -Adam

    On Wednesday, August 21, 2013 at 11:21 AM, Val wrote:

    Hi Adam,
    You have now the listing permissions set up. Can you please try again?
    thanks,
    Val
    [bugs:#290] (http://sourceforge.net/p/bowtie-bio/bugs/290/) s3://myrna-emr/ bucket private?
    Status: open
    Created: Tue Aug 20, 2013 03:36 PM UTC by Adam Kraut
    Last Updated: Tue Aug 20, 2013 04:53 PM UTC
    Owner: nobody
    Trying to run the myrna examples on EMR via the web interface I am running into a 403 error.
    Exception in thread "main" Status Code: 403, AWS Request ID: 83CD5A7BA4FFAD4D, AWS Error Code: null, AWS Error Message: Forbidden
    I noticed the s3://myrna-emr bucket is not public readable. Is that intentional? Apologies if this belongs in a mailing list rather than a ticket.
    Sent from sourceforge.net (http://sourceforge.net) because you indicated interest in https://sourceforge.net/p/bowtie-bio/bugs/290/
    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #290

  • Ben Langmead
    Ben Langmead
    2013-12-04

    Hi Adam,

    Still having trouble with this? I just recursively set all the ACLs for all the files in s3://myrna-emr to --acl-public, so if that doesn't fix it then something's fishy.

    Best,
    Ben

     
  • Ben Langmead
    Ben Langmead
    2013-12-04

    • status: open --> pending
     
  • Val
    Val
    2014-02-12

    • status: pending --> closed